reconstruct_data_3d
Applications » Transforms in magnetic resonance imaging » 3D transforms
Collaboration diagram for reconstruct_data_3d:

## Functions

static void | reconstruct (char *filename, int N, int M, int Z, int iteration, int weight)
| reconstruct makes an inverse 3d-nfft
int | main (int argc, char **argv)

## Detailed Description

## Function Documentation

## reconstruct()

void reconstruct | ( | char * | filename,
|  | int | N,
|  | int | M,
|  | int | Z,
|  | int | iteration,
|  | int | weight )

static

reconstruct makes an inverse 3d-nfft

Definition at line 37 of file reconstruct_data_3d.c.

References CGNR, solver_plan_complex::dot_r_iter, solver_plan_complex::f_hat_iter, FFTW_INIT, solver_plan_complex::flags, MALLOC_F, MALLOC_F_HAT, MALLOC_X, nfft_finalize(), nfft_precompute_full_psi(), nfft_precompute_lin_psi(), nfft_precompute_psi(), PRE_FULL_PSI, PRE_LIN_PSI, PRE_PHI_HUT, PRE_PSI, PRECOMPUTE_DAMP, PRECOMPUTE_WEIGHT, solver_plan_complex::w, solver_plan_complex::w_hat, and solver_plan_complex::y.

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 160 of file reconstruct_data_3d.c.